import request from '@/utils/request.js'
// 获取非药物目录列表
export function getNondrugList(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/nondrugCataloguelistPain?page=' + data.page + '&limit=' + data.limit,
        method: 'post',
        data
    })
};
// 新增非药物目录
export function addNondrugCatalog(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/addNondrugCatalog',
        method: 'post',
        data
    })
};
// 修改非药物目录
export function updateNondrugCatalog(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/updateNondrugCatalog',
        method: 'post',
        data
    })
};
// 非药物治疗目录详情列表
export function getCatalogDetailsList(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/catalogDetailsList?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
        method: 'post',
        data
    })
};
// 获取机构非药物目录列表
export function getOrgNondrugList(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/listNondrugItem?page=' + data.page + '&limit=' + data.limit,
        method: 'post',
        data
    })
};
// 新增机构非药物项目
export function addNondrugItem(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/addNondrugItem',
        method: 'post',
        data
    })
};
// 修改机构非药物项目
export function updateNondrugItem(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/updateNondrugItem',
        method: 'post',
        data
    })
};
// 机构非药物项目名称模糊查询
export function materialQuery(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/materialQuery',
        method: 'post',
        data
    })
};
// 批量删除机构非药物项目
export function batchDeleteNondrugItem(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/batchDeleteNondrugItem?ids=' + data.ids,
        method: 'post'
    })
};
// 非药物治疗映射管理列表
export function getNondrugMapList(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/mappingList?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
        method: 'post',
        data
    })
};
// 非药物自动映射
export function autoMapNondrug(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/autoMapNondrug?basisNondrugcatalogueId=' + data.basisNondrugcatalogueId,
        method: 'post'
    })
};
// 非药物清除映射关系
export function clearMapNondrug(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/clearNondrugMapping?basisNondrugcatalogueId=' + data.basisNondrugcatalogueId,
        method: 'post'
    })
};
// 导入非药物类目
export function importNondrug(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/importnodrug?appid=' + (data.appid || '') + '&deptId=' + (data.deptId || '') + '&institutionCode=' + (data.institutionCode || '') + '&institutionName=' + (data.institutionName || ''),
        method: 'post',
        data: data.formData
    })
};
// 非药物手动映射
export function manualMapping(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/manualMapping',
        method: 'post',
        data
    })
};
// 导出非药物类目
export function exportNondrug(data) {
    return request({
        url: '/basis/stitutionsnondrugMgr/export?basisNondrugcatalogueId=' + data.basisNondrugcatalogueId,
        method: 'Post',
    })
};
// 下载非药物导入模版
export function downloadNondrugTemplate() {
    return request({
        url: '/basis/stitutionsnondrugMgr/exportTemplate',
        method: 'post',
    })
};

